package com.example.acmecorp;

import java.util.StringJoiner;
import org.springframework.data.neo4j.core.schema.Node;

@Node
public class Sales extends Person {

	private final String name;

	public Sales(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	@Override
	public String toString() {
		return new StringJoiner(", ", Sales.class.getSimpleName() + "[", "]")
				.add("name='" + name + "'")
				.toString();
	}
}
